Last Comment Bug 841616 - Open Location dialog should be able to open a private window
: Open Location dialog should be able to open a private window
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.18
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 837510 844497
Blocks: 460895
  Show dependency treegraph
 
Reported: 2013-02-14 16:55 PST by neil@parkwaycc.co.uk
Modified: 2013-02-23 11:55 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Possible patch (4.11 KB, patch)
2013-02-14 17:03 PST, neil@parkwaycc.co.uk
philip.chee: review+
iann_bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-02-14 16:55:28 PST
Without setting any preferences in that case of course.
Comment 1 neil@parkwaycc.co.uk 2013-02-14 17:03:26 PST
Created attachment 714186 [details] [diff] [review]
Possible patch
Comment 2 Ian Neal 2013-02-17 16:16:15 PST
Comment on attachment 714186 [details] [diff] [review]
Possible patch

>+++ b/editor/ui/composer/content/ComposerCommands.js
>@@ -2091,16 +2091,19 @@ var nsOpenRemoteCommand =
>       case "2": // edit
>         editPage(params.url);
>         break;
>       case "3": // new tab
>         win.focus();
>         var browser = win.getBrowser();
>         browser.selectedTab = browser.addTab(params.url, {allowThirdPartyFixup: true});
>         break;
>+      case "4": // private
>+        openNewPrivateWith(params.url):
Oops, ";" not ":"

r=me with that fixed
Comment 3 neil@parkwaycc.co.uk 2013-02-18 01:26:09 PST
(In reply to Ian Neal from comment #2)
> Oops, ";" not ":"
Bah, I'd mistyped it in navigator.js, copied and pasted it into ComposerCommands.js, then noticed and fixed it in navigator.js but promptly forgotten to check editor :-(
Comment 4 Philip Chee 2013-02-18 10:53:02 PST
Comment on attachment 714186 [details] [diff] [review]
Possible patch

r=me with the ":" vs ";" fixed.
Comment 5 neil@parkwaycc.co.uk 2013-02-18 16:33:29 PST
Pushed comm-central changeset 94c2be83ba41.

Note You need to log in before you can comment on or make changes to this bug.